{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "DECLARE SUBROUTINE rlist, set_list_box_data, security_err_msg, Comm_RDS, Set_Property, obj_Appwindow\r\nDECLARE SUBROUTINE Send_Event\r\ndeclare function send_event, set_property, end_window, security_check\r\ndeclare function center_window, fieldcount\r\n$insert security_rights_equ\r\n$insert rlist_equates\r\n$insert lsl_common\r\n\r\nVoid = set_property( @window, '@CurQuery', '' )\r\n\r\nif index( CreateParam, 'CENTER', 1 ) then\r\n    void = center_window( @window )\r\nend else\r\n    Void = set_property( @window, 'VISIBLE', 1 )\r\nend\r\n\r\nKeys = field( CreateParam, '*', 1 )\r\nIF Keys THEN\r\n    IF fieldcount( Keys, @vm ) > 1 THEN\r\n\t    \r\n\t\tconvert @vm to @fm in Keys\r\n\t\tVoid = set_property( @window, 'QBFLIST', Keys ) \r\n\t    Void = set_property( @window, '@NoRead', 1 )\r\n\t    \r\n\t    RDSNo = Keys<1>\r\n\t    \r\n\t    Set_Property(@WINDOW:'.RDS_NO','DEFPROP',RDSNo)\r\n\t\tSend_Event( @WINDOW:'.RDS_NO', 'LOSTFOCUS')\t\t;* Triggers form read\r\n\t    \r\n\t    Void = set_property( @window, '@NoRead', 0 )\r\n\t    \r\n\tEND ELSE\r\n\t\t\r\n\t\tRDSNo = Keys\r\n\t\tSet_Property( @WINDOW:'.RDS_NO','DEFPROP',RDSNo)\r\n\t\tSend_Event( @WINDOW:'.RDS_NO' , 'LOSTFOCUS')\t\t;* Triggers form read\r\n\t\t\r\n\tEND\r\nEND\r\n\r\nIF Security_Check( 'RDS', Read$ ) THEN\r\n   Set_List_Box_Data( @window )\r\nEND ELSE\r\n   Security_Err_Msg( 'RDS', Read$ )\r\n   Void = End_Window( @WINDOW, '' )\r\n   RETURN 0\r\nEND\r\n\r\nif security_check( 'RDS', Edit$ ) else\r\n   security_err_msg( 'RDS', Edit$ )\r\nend\r\n\r\nVoid = set_property( @window, '@NoRead', 0 )\r\n\r\nComm_RDS('Refresh')\r\n\r\nRETURN 1\r\n"
        }
    }
}